<?php

namespace App\Interfaces\Customer;

use App\Entities\Customer\ServiceEntity;

interface ServiceInterface extends CustomerInterface
{
  public function setServiceEntity(ServiceEntity $entity): self;
  public function getServiceEntity(): ServiceEntity;
  public function createService(): ServiceEntity;
  public function modifyService(): ServiceEntity;
  public function deleteService(): ServiceEntity;
}
